use embedded_graphics::{
    drawable::Drawable, image::Image, pixelcolor::Rgb565, prelude::*,
    primitives::rectangle::Rectangle, style::PrimitiveStyleBuilder,
};

use stm32f1xx_hal::prelude::*;
use tinybmp::Bmp;

use crate::application::App;

impl App {
    pub fn splash_screen(&mut self) {
        let mut disp = self.get_display();

        let rect = Rectangle::new(Point::new(0, 0), Point::new(160, 128))
            .into_styled(self.styles.fill_black);

        rect.draw(&mut disp).unwrap();

        let bmp = Bmp::from_slice(include_bytes!("logo.bmp")).unwrap();
        let image = Image::new(&bmp, Point::new(16, 0));
        image.draw(&mut disp).unwrap();

        self.delay.delay_ms(2000u16);

        self.release_display(disp);
    }
}
